[aliases]
n0=massciao {
n1=  var %z.z = $nick(#,0)
n2=  while (%z.z) {
n3=    if ($nick(#,%z.z) != $me) { .timerciaoatutti $+ %z.z 1 %z.z msg #  $+ 9Ciao $nick($chan,%z.z) }
n4=  dec %z.z }
n5=}
n6=
n7=massnotte {
n8=  var %z.z = $nick(#,0)
n9=  while (%z.z) {
n10=    if ($nick(#,%z.z) != $me) { .timerciaoatutti $+ %z.z 1 %z.z msg #  $+ 9BuonaNotte $nick($chan,%z.z) }
n11=  dec %z.z }
n12=}
n13=
n14=massflood {
n15=  set %floodmess $$?="Inserisci testo"
n16=  var %z.z = $nick(#,0)
n17=  while (%z.z) {
n18=    if ($nick(#,%z.z) != $me) { .timerciaoatutti $+ %z.z 1 %z.z msg # 11 %floodmess  $nick($chan,%z.z) }
n19=  dec %z.z }
n20=}
n21=
n22=
n23=mkall {
n24=
n25=  if ($nick(#,0) <= 1) { echo -a 4ATTENZIONE: 13Non sono presenti utenti da kikkare su # ! | halt }
n26=  echo 4 -a 7Masskick in corso su4 # 
n27=  set %num 1
n28=  :incl
n29=  set %mktarg $nick(#,%num)
n30=  if (%mktarg == $null) { goto end }
n31=  if (%mktarg != $me) { kick # %mktarg %mkmsg }
n32=  inc %num 1 | goto incl
n33=  :end
n34=  unset %num %mktarg | inc %sdmkicks 1
n35=}
n36=mkops {
n37=  if ($opnick(#,0) <= 1) { echo -a 4ATTENZIONE: 6Non sono presenti OP da kickare su #   | halt }
n38=  echo -a 13MassKickOps in corso su7 # 
n39=  set %num 1
n40=  :incl
n41=  set %mktarg $opnick(#,%num)
n42=  if (%mktarg == $null) { goto end }
n43=  if (%mktarg != $me) { kick # %mktarg %mkmsg }
n44=  inc %num 1 | goto incl
n45=  :end
n46=  unset %num %mktarg | inc %sdmkicks 1
n47=}
n48=mknops {
n49=
n50=  if ($nopnick(#,0) < 1) { echo -a 4ATTENZIONE: 13Non sono presenti NonOPs da kickare su #  | halt }
n51=  echo  -a 13MassKickNonOps in corso su7 #  
n52=  set %num 1
n53=  :incl
n54=  set %mktarg $nopnick(#,%num)
n55=  if (%mktarg == $null) { goto end }
n56=  kick # %mktarg %mkmsg
n57=  inc %num 1 | goto incl
n58=  :end
n59=  unset %num %mktarg | inc %sdmkicks 1
n60=}
n61=mbnick {
n62=  var %x 1 
n63=  while %x <= $nick($chan,0) { 
n64=    mode $chan +b $nick $nick($chan,%x)
n65=    inc %x 
n66=  }
n67=}
n68=mbhost {
n69=  var %x 1 
n70=  while %x <= $nick($chan,0) { 
n71=    ban $nick $nick($chan,%x) banall
n72=    inc %x 
n73=  }
n74=}
n75=mkb { 
n76=  var %i = 1 
n77=  while ($nick(#,0) > %i) { 
n78=    inc %i 
n79=    if ($nick(#,%i) != $me) { /mode # +b $nick(#,%i) | /kick # $nick(#,%i) } 
n80=  } 
n81=}
n82=mop {
n83=  %mass = ""
n84=  %i = 0
n85=  :incl
n86=  inc %i
n87=  if ($nopnick(#,%i) = $null) {
n88=    if ($len(%mass) > 0) mode # +ooo %mass
n89=    halt
n90=  }
n91=  %mass = %mass $nopnick(#,%i)
n92=  if (3 // %i) {
n93=    mode # +ooo %mass
n94=    %mass = ""
n95=  }
n96=  goto incl
n97=  echo 7MassOp in corso su9 # 
n98=}
n99=mdop {
n100=  %mass = ""
n101=  %i = 0
n102=  :incl
n103=  inc %i
n104=  if ($opnick(#,%i) = $me) { goto incl }
n105=  if ($opnick(#,%i) = $null) {
n106=    if ($len(%mass) > 0) mode # -ooo %mass
n107=    halt
n108=  }
n109=  %mass = %mass $opnick(#,%i)
n110=  if (3 // %i) {
n111=    mode # -ooo %mass
n112=    %mass = ""
n113=  }
n114=  goto incl
n115=  echo 7MassDeop in corso su9 # 
n116=}
n117=mvce {
n118=  %mass = ""
n119=  %i = 0
n120=  :incl
n121=  inc %i
n122=  if ($nopnick(#,%i) = $null) {
n123=    if ($len(%mass) > 0) mode # +vvv %mass
n124=    halt
n125=  }
n126=  %mass = %mass $nopnick(#,%i)
n127=  if (3 // %i) {
n128=    mode # +vvv %mass
n129=    %mass = ""
n130=  }
n131=  goto incl
n132=  echo 13MassVoice in corso su7 # 
n133=}
n134=mdvce {
n135=  %mass = ""
n136=  %i = 0
n137=  :incl
n138=  inc %i
n139=  if ($vnick(#,%i) = $null) {
n140=    if ($len(%mass) > 0) mode # -vvv %mass
n141=    halt
n142=  }
n143=  %mass = %mass $vnick(#,%i)
n144=  if (3 // %i) {
n145=    mode # -vvv %mass
n146=    %mass = ""
n147=  }
n148=  goto incl
n149=  echo 13MassDevoice in corso su7 # 
n150=}
n151=
n152=hopAll {
n153=  var %i = 1
n154=  while ($chan(0) >= %i) {
n155=    hop -c $chan(%i)
n156=    inc %i
n157=  }
n158=}
n159=} 
n160=/akickall {
n161=  var %x 1 
n162=  while %x <= $nick($chan,0) {
n163=    if ($nick($chan,%x) == $me) { goto salta }
n164=    msg chanserv akick $chan add $nick($chan,%x) Mass AKick!
n165=    :salta
n166=    inc %x 
n167=  }
n168=}
n169=
n170=/kickallbot {
n171=  var %x 1 
n172=  while %x <= $nick($chan,0) {
n173=    if ($nick($chan,%x) == $me) { goto salta }
n174=    cs kick $chan $nick($chan,%x) Mass Kick!
n175=    :salta
n176=    inc %x 
n177=  }
n178=}
n179=/kick_opbot {
n180=  %mass2 = ""
n181=  %mass = 0
n182=  :incl
n183=  if %mass < $opnick(#,0) {
n184=    inc %mass 1
n185=    if ($opnick(#,%mass) != $me) && ($opnick(#,%mass) !isprotect) { cs kick # $opnick(#,%mass) Mass Kick Op! | goto incl }
n186=  }
n187=}
n188=/kick_non_opbot {
n189=  %mass2 = ""
n190=  %mass = 0
n191=  :incl
n192=  if %mass < $nopnick(#,0) {
n193=    inc %mass 1
n194=    if ($nopnick(#,%mass) != $me) && ($nopnick(#,%mass) !isprotect) { cs kick # $nopnick(#,%mass) Mass Kick Non-Op! | goto incl }
n195=  }
n196=}
n197=/kill_all {
n198=  var %x 1 
n199=  while %x <= $nick($chan,0) {
n200=    if ($nick($chan,%x) == $me) { goto salta }
n201=    kill $nick($chan,%x) Mass Kill!
n202=    :salta
n203=    inc %x 
n204=  }
n205=} 
n206=/kl_all {
n207=  var %x 1 
n208=  while %x <= $nick($chan,0) {
n209=    if ($nick($chan,%x) == $me) { goto salta }
n210=    kline $nick($chan,%x) Mass K-Line!
n211=    :salta
n212=    inc %x 
n213=  }
n214=} 
n215=/gl_all {
n216=  var %x 1 
n217=  while %x <= $nick($chan,0) {
n218=    if ($nick($chan,%x) == $me) { goto salta }
n219=    gline $nick($chan,%x) Mass G-Line!
n220=    :salta
n221=    inc %x 
n222=  }
n223=} 
n224=
n225=/mode_all {
n226=  var %x 1 
n227=  while %x <= $nick($chan,0) { 
n228=    if ($nick($chan,%x) == $me) { goto salta }
n229=    mode $chan $1 $nick $nick($chan,%x)
n230=    :salta
n231=    inc %x
n232=  }
n233=}
n234=
n235=/banall {
n236=  var %x 1 
n237=  while %x <= $nick($chan,0) {
n238=    if ($nick($chan,%x) == $me) { goto salta } 
n239=    ban $nick $nick($chan,%x) banall
n240=    :salta
n241=    inc %x 
n242=  }
n243=}
n244=
n245=/kickall {
n246=  var %x 1 
n247=  while %x <= $nick($chan,0) {
n248=    if ($nick($chan,%x) == $me) { goto salta }
n249=    kick $chan $nick($chan,%x) Mass Kick!
n250=    :salta
n251=    inc %x 
n252=  }
n253=} 
n254=
n255=
n256=massinvite { echo 6MassInvite in corso su11 # | set %i $nick(#,0) | :next | if $nick(#,%i) != $me invite $nick(#,%i) $1 | dec %i | if %i > 1 goto next | echo 13MassInvite su7 # 13eseguito   } 
n257=}
n258=F12 {
n259=echo -as --> 4F12 <-- 11Tasti rapidi
n260=echo -as --> 7F2 <--   11Stop musica
n261=echo -as --> 4F3 <--   11Sbannati dal canale
n262=echo -as --> 7F4 <--   11Invitati nel canale desiderato
n263=echo -as --> 4F5 <--   11Pernacchia
n264=echo -as --> 7F6 <--   11Ciao a tutti al chan
n265=echo -as --> 4F7 <--   11Risata :D
n266=echo -as --> 7F8 <--   11Smack
n267=echo -as --> 4F9 <--   11NoTTe a tutti !
n268=echo -as --> 7F10 <-- 11Sito 9#italia-giocando
n269=echo -as --> 4F11 <-- 11Comandi rapidi per ban e mutoban
n270=
n271=}
